> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update sandbox individual



## OpenAPI

````yaml put /sandbox/individual/{individual_id}
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /sandbox/individual/{individual_id}:
    parameters:
      - schema:
          type: string
        name: individual_id
        in: path
        required: true
    put:
      tags:
        - Sandbox
      summary: Update sandbox individual
      operationId: put-sandbox-individual-individual_id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IndividualWithoutId'
            examples:
              Example 1:
                value:
                  dob: 12/20/1989
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Individual'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            const individual = await
            client.sandbox.individual.update('individual_id');


            console.log(individual.id);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            individual = client.sandbox.individual.update(
                individual_id="individual_id",
            )
            print(individual.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tindividual, err := client.Sandbox.Individual.Update(\n\t\tcontext.TODO(),\n\t\t\"individual_id\",\n\t\tfinchgo.SandboxIndividualUpdateParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", individual.ID)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.IndividualUpdateResponse;
            import com.tryfinch.api.models.SandboxIndividualUpdateParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    IndividualUpdateResponse individual = client.sandbox().individual().update("individual_id");
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.IndividualUpdateResponse
            import com.tryfinch.api.models.SandboxIndividualUpdateParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val individual: IndividualUpdateResponse = client.sandbox().individual().update("individual_id")
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            individual = finch.sandbox.individual.update("individual_id")

            puts(individual)
components:
  schemas:
    IndividualWithoutId:
      type: object
      properties:
        first_name:
          type: string
          description: The legal first name of the individual.
          nullable: true
        middle_name:
          type: string
          description: The legal middle name of the individual.
          nullable: true
        last_name:
          type: string
          description: The legal last name of the individual.
          nullable: true
        preferred_name:
          type: string
          description: The preferred name of the individual.
          nullable: true
        emails:
          type: array
          nullable: true
          items:
            type: object
            properties:
              data:
                type: string
              type:
                type: string
                enum:
                  - work
                  - personal
                  - null
                nullable: true
        phone_numbers:
          type: array
          nullable: true
          items:
            type: object
            nullable: true
            properties:
              data:
                type: string
                nullable: true
              type:
                type: string
                enum:
                  - work
                  - personal
                  - null
                nullable: true
        gender:
          type: string
          description: The gender of the individual.
          enum:
            - female
            - male
            - other
            - decline_to_specify
            - null
          nullable: true
        ethnicity:
          type: string
          enum:
            - asian
            - white
            - black_or_african_american
            - native_hawaiian_or_pacific_islander
            - american_indian_or_alaska_native
            - hispanic_or_latino
            - two_or_more_races
            - decline_to_specify
            - null
          description: The EEOC-defined ethnicity of the individual.
          nullable: true
        dob:
          $ref: '#/components/schemas/Date'
          nullable: true
        ssn:
          type: string
          description: >-
            Social Security Number of the individual. This field is only
            available with the `ssn` scope enabled and the `options: { include:
            ['ssn'] }` param set in the body. [Click here to learn more about
            enabling the SSN field](/developer-resources/Enable-SSN-Field).
          nullable: true
        encrypted_ssn:
          type: string
          description: >-
            Social Security Number of the individual in **encrypted** format.
            This field is only available with the `ssn` scope enabled and the
            `options: { include: ['ssn'] }` param set in the body.
          nullable: true
        residence:
          $ref: '#/components/schemas/Location'
    Individual:
      title: Individual
      allOf:
        - $ref: '#/components/schemas/IndividualWithoutId'
        - type: object
          properties:
            id:
              type: string
              description: A stable Finch `id` (UUID v4) for an individual in the company.
              pattern: '[0-9a-f]{8}[-]?(?:[0-9a-f]{4}[-]?){3}[0-9a-f]{12}'
              format: uuid
    Date:
      type: string
      title: Date
      nullable: true
      pattern: (\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
    Location:
      type: object
      nullable: true
      properties:
        line1:
          type: string
          nullable: true
          description: Street address or PO box.
        line2:
          type: string
          nullable: true
          description: Apartment, suite, unit, or building.
        city:
          type: string
          nullable: true
          description: City, district, suburb, town, or village.
        state:
          type: string
          nullable: true
          description: The state code.
        postal_code:
          type: string
          nullable: true
          description: The postal code or zip code.
        country:
          type: string
          nullable: true
          description: The 2-letter ISO 3166 country code.
        name:
          type: string
          nullable: true
        source_id:
          type: string
          nullable: true
      required:
        - line1
        - line2
        - city
        - state
        - postal_code
        - country
      description: ''
      title: Location
      x-tags:
        - Models
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````